import {
    IsInt,
    IsString
} from "class-validator";

/**
 * Defines the contract runner class (from which the runner sponsoring contracts get generated).
*/
export class ContractRunner {
    /**
     * The runner's id.
     */
    @IsInt()
    id: number;

    /**
     * The runner's first name.
     */
    @IsString()
    firstname: string;

    /**
     * The runner's middle name.
     */
    @IsString()
    middlename?: string;

    /**
     * The runner's last name.
     */
    @IsString()
    lastname: string;

    /**
     * The runner's group.
     */
    @IsString()
    group: string;
}
